/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */

package com.jcg.randomelementfromset;

import java.util.Random;
import java.util.Set;
import java.util.HashSet;

/**
 *
 * @author omozegieaziegbe
 */
public class RandomElementFromSet {

    public static void main(String[] args) {
        
       // Create a HashSet
        Set<String> fruits = new HashSet<>();
        fruits.add("orange");
        fruits.add("banana");
        fruits.add("apple");
        fruits.add("guava");
        fruits.add("pineapple");

        // Get a random element from the set
        String randomFruit = getRandomElement(fruits);

        // Print the random element
        System.out.println("Random Fruit: " + randomFruit);
    }

    private static <T> T getRandomElement(Set<T> set) {
        if (set.isEmpty()) {
            return null;
        }

        // Convert the set to an array
        T[] array = (T[]) set.toArray();

        // Use Random to get a random index
        Random random = new Random();
        int randomIndex = random.nextInt(array.length);

        // Return the random element
        return array[randomIndex];
    }
}